- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Exponent::GUI::Graphics::CImageManager::CAnimationReference Class Reference

List of all members.

## Detailed Description

Reference to an animation image, key pair of image and name along with sizes.

See also:
  CImageReference

Definition at line 141 of file CImageManager.hpp.

## Public Member Functions

- CAnimationReference (IImage *image, const CString &referenceName, const long frameHeight, const long numberOfFrames)
- CAnimationReference ()
- void getAnimationSizes (long &frameHeight, long &numberOfFrames)
- IImage * getImage ()
- const CString & getReferenceName () const
- void setAnimationSizes (const long frameHeight, const long numberOfFrames)
- void setImage (IImage *image)
- void setReferenceName (const CString &referenceName)
- virtual ~CAnimationReference ()

## Protected Attributes

- long m_frameHeight
- CImageReference m_image
- long m_numberOfFrames

## Constructor & Destructor Documentation

Exponent::GUI::Graphics::CImageManager::CAnimationReference::CAnimationReference | ( |  | ) |

Construction

Exponent::GUI::Graphics::CImageManager::CAnimationReference::CAnimationReference | ( | IImage * | image,
|  | const CString & | referenceName,
|  | const long | frameHeight,
|  | const long | numberOfFrames |
| ) |  |  |

Construction

Parameters:

  | image | The image to store
  | referenceName | The name of the image
  | frameHeight | The size of each frame
  | numberOfFrames | The number of frames in the animation

virtual Exponent::GUI::Graphics::CImageManager::CAnimationReference::~CAnimationReference | ( |  | ) | `[virtual]`

Destruction

## Member Function Documentation

void Exponent::GUI::Graphics::CImageManager::CAnimationReference::getAnimationSizes | ( | long & | frameHeight,
|  | long & | numberOfFrames |
| ) |  |  | `[inline]`

Get the sizes of the animation

Parameters:

  | frameHeight | On return holds the size of each frame
  | numberOfFrames | On return holds the number of frames in the animation

Definition at line 212 of file CImageManager.hpp.

References m_frameHeight, and m_numberOfFrames.

IImage* Exponent::GUI::Graphics::CImageManager::CAnimationReference::getImage | ( |  | ) | `[inline]`

Get the image

Return values:

  | IImage* | The image

Definition at line 199 of file CImageManager.hpp.

References Exponent::GUI::Graphics::CImageManager::CImageReference::getImage(), and m_image.

const CString& Exponent::GUI::Graphics::CImageManager::CAnimationReference::getReferenceName | ( |  | ) | const`[inline]`

Get teh reference name

Return values:

  | const | CString& The name of the image

Definition at line 205 of file CImageManager.hpp.

References Exponent::GUI::Graphics::CImageManager::CImageReference::getReferenceName(), and m_image.

void Exponent::GUI::Graphics::CImageManager::CAnimationReference::setAnimationSizes | ( | const long | frameHeight,
|  | const long | numberOfFrames |
| ) |  |  | `[inline]`

Set the sizes of the animation

Parameters:

  | frameHeight | The size of each frame
  | numberOfFrames | The number of frames in the animation

Definition at line 191 of file CImageManager.hpp.

References m_frameHeight, and m_numberOfFrames.

void Exponent::GUI::Graphics::CImageManager::CAnimationReference::setImage | ( | IImage * | image | ) | `[inline]`

Set the image

Parameters:

  | image | The image to store

Definition at line 178 of file CImageManager.hpp.

References m_image, and Exponent::GUI::Graphics::CImageManager::CImageReference::setImage().

void Exponent::GUI::Graphics::CImageManager::CAnimationReference::setReferenceName | ( | const CString & | referenceName | ) | `[inline]`

Set the reference name

Parameters:

  | referenceName | The name of the image

Definition at line 184 of file CImageManager.hpp.

References m_image, and Exponent::GUI::Graphics::CImageManager::CImageReference::setReferenceName().

## Member Data Documentation

long Exponent::GUI::Graphics::CImageManager::CAnimationReference::m_frameHeight`[protected]`

The height of each frame

Definition at line 221 of file CImageManager.hpp.

Referenced by getAnimationSizes(), and setAnimationSizes().

CImageReference Exponent::GUI::Graphics::CImageManager::CAnimationReference::m_image`[protected]`

The image

Definition at line 220 of file CImageManager.hpp.

Referenced by getImage(), getReferenceName(), setImage(), and setReferenceName().

long Exponent::GUI::Graphics::CImageManager::CAnimationReference::m_numberOfFrames`[protected]`

The total number of frames

Definition at line 222 of file CImageManager.hpp.

Referenced by getAnimationSizes(), and setAnimationSizes().